#include <bits/stdc++.h>
using namespace std;
int main ()
{int n,m,k,p=0;
cin>>n>>m>>k;
p+=(n/k*k)*(m/k*k)/(k*k);
if(n-n/k*k>0)
    p+=m/k;
if(m-m/k*k>0)
    p+=n/k;
    if(m-m/k*k>0 and n-n/k*k>0)
    p++;
cout<<p;
return 0;}